-- Units.sql
-- By Ewok-Bacon-Bits
-----------------
-- Overall
-----------------
-- DELETE FROM Units WHERE UnitType IN ("UNIT_SETTLER");
-- UPDATE Units SET PrereqCivic = null WHERE UnitType = "UNIT_OBSERVATION_BALLOON";
-- UPDATE Units SET PrereqCivic = null WHERE UnitType = "UNIT_MEDIC";

-- UPDATE GlobalParameters SET Value=10 WHERE Name='PLOT_UNIT_LIMIT';
-- UPDATE Units SET Stackable = 1;
-- UPDATE Units SET Cost = Cost * 0.50 WHERE Cost > 1 AND (Domain = 'DOMAIN_LAND' or Domain = 'DOMAIN_SEA') AND NOT FormationClass = 'FORMATION_CLASS_CIVILIAN';
-- UPDATE Units SET Cost = Cost * 0.75 WHERE Cost > 1 AND (Domain = 'DOMAIN_AIR');
-- UPDATE Units SET Range ='1' WHERE (RangedCombat > 0 OR Bombard > 0) AND (Domain = 'DOMAIN_LAND' OR Domain = 'DOMAIN_SEA');
-- UPDATE Units SET Range ='2' WHERE UnitType = 'UNIT_BATTLESHIP' OR UnitType = 'UNIT_BRAZILIAN_MINAS_GERAES';
-- UPDATE Units SET Range ='3' WHERE UnitType = 'UNIT_ROCKET_ARTILLERY';
-- UPDATE Units SET Range ='4' WHERE UnitType = 'UNIT_MISSILE_CRUISER' OR UnitType = 'UNIT_NUCLEAR_SUBMARINE';
--UPDATE Units SET Range ='1', PromotionClass ='PROMOTION_CLASS_RANGED' WHERE UnitType = 'UNIT_AT_CREW' OR UnitType = 'UNIT_MODERN_AT';

UPDATE Modifiers SET ModifierType='MODIFIER_PLAYER_UNIT_ADJUST_GRANT_EXPERIENCE' WHERE ModifierId='BARRACKS_TRAINED_UNIT_XP_MODIFIER';
UPDATE ModifierArguments SET Value=0 WHERE ModifierId='BARRACKS_TRAINED_UNIT_XP_MODIFIER';

UPDATE Modifiers SET ModifierType='MODIFIER_PLAYER_UNIT_ADJUST_GRANT_EXPERIENCE' WHERE ModifierId='STABLE_TRAINED_UNIT_XP_MODIFIER';
UPDATE ModifierArguments SET Value=0 WHERE ModifierId='STABLE_TRAINED_UNIT_XP_MODIFIER';

UPDATE Modifiers SET ModifierType='MODIFIER_PLAYER_UNIT_ADJUST_GRANT_EXPERIENCE' WHERE ModifierId='ARMORY_TRAINED_UNIT_XP_MODIFIER';
UPDATE ModifierArguments SET Value=0 WHERE ModifierId='ARMORY_TRAINED_UNIT_XP_MODIFIER';

UPDATE Modifiers SET ModifierType='MODIFIER_PLAYER_UNIT_ADJUST_GRANT_EXPERIENCE' WHERE ModifierId='MILITARY_ACADEMY_TRAINED_UNIT_XP_MODIFIER';
UPDATE ModifierArguments SET Value=0 WHERE ModifierId='MILITARY_ACADEMY_TRAINED_UNIT_XP_MODIFIER';

UPDATE Modifiers SET ModifierType='MODIFIER_PLAYER_UNIT_ADJUST_GRANT_EXPERIENCE' WHERE ModifierId='LIGHTHOUSE_TRAINED_UNIT_XP_MODIFIER';
UPDATE ModifierArguments SET Value=0 WHERE ModifierId='LIGHTHOUSE_TRAINED_UNIT_XP_MODIFIER';

UPDATE Modifiers SET ModifierType='MODIFIER_PLAYER_UNIT_ADJUST_GRANT_EXPERIENCE' WHERE ModifierId='SHIPYARD_TRAINED_UNIT_XP_MODIFIER';
UPDATE ModifierArguments SET Value=0 WHERE ModifierId='SHIPYARD_TRAINED_UNIT_XP_MODIFIER';

UPDATE Modifiers SET ModifierType='MODIFIER_PLAYER_UNIT_ADJUST_GRANT_EXPERIENCE' WHERE ModifierId='SEAPORT_TRAINED_UNIT_XP_MODIFIER';
UPDATE ModifierArguments SET Value=0 WHERE ModifierId='LIGHTHOUSE_TRAINED_UNIT_XP_MODIFIER';

UPDATE Modifiers SET ModifierType='MODIFIER_PLAYER_UNIT_ADJUST_GRANT_EXPERIENCE' WHERE ModifierId='AIRPORT_TRAINED_AIRCRAFT_XP_MODIFIER';
UPDATE ModifierArguments SET Value=0 WHERE ModifierId='AIRPORT_TRAINED_AIRCRAFT_XP_MODIFIER';

UPDATE Modifiers SET ModifierType='MODIFIER_PLAYER_UNIT_ADJUST_GRANT_EXPERIENCE' WHERE ModifierId='HANGAR_TRAINED_AIRCRAFT_XP_MODIFIER';
UPDATE ModifierArguments SET Value=0 WHERE ModifierId='HANGAR_TRAINED_AIRCRAFT_XP_MODIFIER';

UPDATE Modifiers SET ModifierType='MODIFIER_PLAYER_UNIT_ADJUST_GRANT_EXPERIENCE' WHERE ModifierId='BASILIKOI_PAIDES_TRAINED_UNIT_XP_MODIFIER';
UPDATE ModifierArguments SET Value=0 WHERE ModifierId='BASILIKOI_PAIDES_TRAINED_UNIT_XP_MODIFIER';

UPDATE Building_YieldChanges SET YieldChange=3 WHERE BuildingType='BUILDING_BASILIKOI_PAIDES';
UPDATE Building_YieldChanges SET YieldChange=3 WHERE BuildingType='BUILDING_BARRACKS';
UPDATE Building_YieldChanges SET YieldChange=3 WHERE BuildingType='BUILDING_STABLE';
UPDATE Building_YieldChanges SET YieldChange=3 WHERE BuildingType='BUILDING_ARMORY';
UPDATE Building_YieldChanges SET YieldChange=3 WHERE BuildingType='BUILDING_MILITARY_ACADEMY';
UPDATE Building_YieldChanges SET YieldChange=3 WHERE BuildingType='BUILDING_LIGHTHOUSE';
UPDATE Building_YieldChanges SET YieldChange=3 WHERE BuildingType='BUILDING_SHIPYARD';
UPDATE Building_YieldChanges SET YieldChange=3 WHERE BuildingType='BUILDING_SEAPORT';
UPDATE Building_YieldChanges SET YieldChange=3 WHERE BuildingType='BUILDING_AIRPORT';
UPDATE Building_YieldChanges SET YieldChange=3 WHERE BuildingType='BUILDING_HANGAR';


UPDATE Buildings SET Description="" WHERE BuildingType='BUILDING_ARMORY';
UPDATE Buildings SET Description="May not be built in an Encampment district that already has a Stable." WHERE BuildingType='BUILDING_BARRACKS';
UPDATE Buildings SET Description="May not be built in an Encampment district that already has a Barracks." WHERE BuildingType='BUILDING_STABLE';
UPDATE Buildings SET Description="+2 air unit slots in Aerodrome district. Allows the ability to airlift land units between Aerodrome districts with Airports after the Rapid Deployment civic is unlocked." WHERE BuildingType='BUILDING_AIRPORT';
UPDATE Buildings SET Description="+2 air unit slots in Aerodrome district." WHERE BuildingType='BUILDING_HANGAR';
UPDATE Buildings SET Description="Faster Corps and Army training." WHERE BuildingType='BUILDING_MILITARY_ACADEMY';
UPDATE Buildings SET Description="+1 [ICON_FOOD] Food on all Coast tiles for this city." WHERE BuildingType='BUILDING_LIGHTHOUSE';
UPDATE Buildings SET Description="Faster Fleet and Armada training. +2 [ICON_GOLD] Gold on all Coast tiles for this city." WHERE BuildingType='BUILDING_SEAPORT';
UPDATE Buildings SET Description="Bonus [ICON_Production] Production equal to the adjacency bonus of the Harbor district." WHERE BuildingType='BUILDING_SHIPYARD';
UPDATE Buildings SET Description="A building unique to Macedon. Gain [ICON_SCIENCE] Science equal to 25% of the unit's cost when a non civilian unit is created in this city.[NEWLINE][NEWLINE]May not be built in an Encampment district that already has a Stable." WHERE BuildingType='BUILDING_BASILIKOI_PAIDES';

-----------------
-- Kinds
-----------------
INSERT INTO Types
		(Type, 											Kind)
VALUES
		('UNIT_ANCIENT_ARMY',  							'KIND_UNIT'),
		('UNIT_CLASSICAL_ARMY',  						'KIND_UNIT'),
		('UNIT_MEDIEVAL_ARMY',  						'KIND_UNIT'),
		-- ('UNIT_RENAISSANCE_ARMY',  						'KIND_UNIT'),
		('UNIT_INDUSTRIAL_ARMY',  						'KIND_UNIT'),
		-- ('UNIT_MODERN_ARMY',  							'KIND_UNIT'),
		('UNIT_POSTMODERN_ARMY',  						'KIND_UNIT'),
		('UNIT_CLASSICAL_FLEET',  						'KIND_UNIT'),
		('UNIT_RENAISSANCE_FLEET',  					'KIND_UNIT'),
		('UNIT_INDUSTRIAL_FLEET',  						'KIND_UNIT'),
		('UNIT_POSTMODERN_FLEET',  						'KIND_UNIT');
		
INSERT INTO UnitAiInfos
		(UnitType, 									AiType)
VALUES
		('UNIT_ANCIENT_ARMY',  						'UNITTYPE_MELEE'),
		('UNIT_ANCIENT_ARMY',  						'UNITAI_COMBAT'),
		('UNIT_ANCIENT_ARMY',  						'UNITTYPE_LAND_COMBAT'),
		('UNIT_ANCIENT_ARMY',  						'UNITTYPE_SIEGE_SUPPORT'),
		('UNIT_CLASSICAL_ARMY',  					'UNITTYPE_MELEE'),
		('UNIT_CLASSICAL_ARMY',  					'UNITAI_COMBAT'),
		('UNIT_CLASSICAL_ARMY',  					'UNITTYPE_LAND_COMBAT'),
		('UNIT_CLASSICAL_ARMY',  						'UNITTYPE_SIEGE_SUPPORT'),
		('UNIT_MEDIEVAL_ARMY',  					'UNITTYPE_MELEE'),
		('UNIT_MEDIEVAL_ARMY',  					'UNITAI_COMBAT'),
		('UNIT_MEDIEVAL_ARMY',  					'UNITTYPE_LAND_COMBAT'),
		('UNIT_MEDIEVAL_ARMY',  						'UNITTYPE_SIEGE_SUPPORT'),
		-- ('UNIT_RENAISSANCE_ARMY',  					'UNITTYPE_MELEE'),
		-- ('UNIT_RENAISSANCE_ARMY',  					'UNITAI_COMBAT'),
		-- ('UNIT_RENAISSANCE_ARMY',  					'UNITTYPE_LAND_COMBAT'),
		('UNIT_INDUSTRIAL_ARMY',  					'UNITTYPE_MELEE'),
		('UNIT_INDUSTRIAL_ARMY',  					'UNITAI_COMBAT'),
		('UNIT_INDUSTRIAL_ARMY',  					'UNITTYPE_LAND_COMBAT'),
		('UNIT_INDUSTRIAL_ARMY',  						'UNITTYPE_SIEGE_SUPPORT'),
		-- ('UNIT_MODERN_ARMY',  						'UNITTYPE_MELEE'),
		-- ('UNIT_MODERN_ARMY',  						'UNITAI_COMBAT'),
		-- ('UNIT_MODERN_ARMY',  						'UNITTYPE_LAND_COMBAT'),
		('UNIT_POSTMODERN_ARMY',  					'UNITTYPE_MELEE'),
		('UNIT_POSTMODERN_ARMY',  					'UNITAI_COMBAT'),
		('UNIT_POSTMODERN_ARMY',  					'UNITTYPE_LAND_COMBAT'),
		('UNIT_POSTMODERN_ARMY',  						'UNITTYPE_SIEGE_SUPPORT'),
		('UNIT_CLASSICAL_FLEET',  						'UNITAI_COMBAT'),
		('UNIT_CLASSICAL_FLEET',  						'UNITTYPE_MELEE'),
		('UNIT_CLASSICAL_FLEET',  						'UNITTYPE_NAVAL'),
		('UNIT_RENAISSANCE_FLEET',  						'UNITAI_COMBAT'),
		('UNIT_RENAISSANCE_FLEET',  						'UNITTYPE_MELEE'),
		('UNIT_RENAISSANCE_FLEET',  						'UNITTYPE_NAVAL'),
		('UNIT_INDUSTRIAL_FLEET',  						'UNITAI_COMBAT'),
		('UNIT_INDUSTRIAL_FLEET',  						'UNITTYPE_MELEE'),
		('UNIT_INDUSTRIAL_FLEET',  						'UNITTYPE_NAVAL'),
		('UNIT_POSTMODERN_FLEET',  						'UNITAI_COMBAT'),
		('UNIT_POSTMODERN_FLEET',  						'UNITTYPE_MELEE'),
		('UNIT_POSTMODERN_FLEET',  						'UNITTYPE_NAVAL');
		
INSERT INTO Tags
		(Tag, 											Vocabulary)
VALUES
		('CLASS_ARMY',  								'ABILITY_CLASS');
		
INSERT INTO TypeTags
		(Type, 											Tag)
VALUES
		('UNIT_ANCIENT_ARMY',  							'CLASS_ARMY'),
		('UNIT_CLASSICAL_ARMY',  						'CLASS_ARMY'),
		('UNIT_MEDIEVAL_ARMY',  						'CLASS_ARMY'),
		-- ('UNIT_RENAISSANCE_ARMY',  						'CLASS_ARMY'),
		('UNIT_INDUSTRIAL_ARMY',  						'CLASS_ARMY'),
		-- ('UNIT_MODERN_ARMY',  							'CLASS_ARMY'),
		('UNIT_POSTMODERN_ARMY',  						'CLASS_ARMY'),
		('UNIT_CLASSICAL_FLEET',  						'CLASS_ARMY'),
		('UNIT_RENAISSANCE_FLEET',  						'CLASS_ARMY'),
		('UNIT_INDUSTRIAL_FLEET',  						'CLASS_ARMY'),
		('UNIT_POSTMODERN_FLEET',  						'CLASS_ARMY');
		
INSERT INTO Units
		(UnitType, 						Name,						BaseSightRange,	BaseMoves,	Combat,	RangedCombat,	Range,	Bombard,	Domain,			FormationClass,					Cost,	PopulationCost,	FoundCity,	BuildCharges,	ExtractsArtifacts,	CanCapture,	CanRetreatWhenCaptured,	TraitType,	InitialLevel,	NumRandomChoices,	PrereqTech,		PrereqCivic,	PrereqDistrict,	PrereqPopulation,	CanTrain,	StrategicResource,	PurchaseYield,	Maintenance,	Stackable,	IgnoreMoves,	TeamVisibility,	ZoneOfControl,	MustPurchase,	PromotionClass,					Description)
VALUES
		('UNIT_ANCIENT_ARMY',  			'Ancient Army',		2,				2,			0,		0,				0,		0,			"DOMAIN_LAND",	"FORMATION_CLASS_SUPPORT",		1,		null,			0,			0,				0,					1,					0,				null,		1,				0,					null,			null,			null,			null,				0,			null,				"YIELD_GOLD",	2,				0,			0,				1,				1,				0,				"PROMOTION_CLASS_SUPPORT",		"An army group whose purpose is to quickly move then be deployed to the battlefield."),
		('UNIT_CLASSICAL_ARMY',  		'Classical Army',	2,				4,			0,		0,				0,		0,			"DOMAIN_LAND",	"FORMATION_CLASS_SUPPORT",		1,		null,			0,			0,				0,					1,					0,				null,		1,				0,					null,			null,			null,			null,				0,			null,				"YIELD_GOLD",	4,				0,			0,				1,				1,				0,				"PROMOTION_CLASS_SUPPORT",		"An army group whose purpose is to quickly move then be deployed to the battlefield."),
		('UNIT_MEDIEVAL_ARMY',  		'Medieval Army',	2,				5,			0,		0,				0,		0,			"DOMAIN_LAND",	"FORMATION_CLASS_SUPPORT",		1,		null,			0,			0,				0,					1,					0,				null,		1,				0,					null,			null,			null,			null,				0,			null,				"YIELD_GOLD",	6,				0,			0,				1,				1,				0,				"PROMOTION_CLASS_SUPPORT",		"An army group whose purpose is to quickly move then be deployed to the battlefield."),
		('UNIT_INDUSTRIAL_ARMY',  		'Industrial Army',	2,				6,			0,		0,				0,		0,			"DOMAIN_LAND",	"FORMATION_CLASS_SUPPORT",		1,		null,			0,			0,				0,					1,					0,				null,		1,				0,					null,			null,			null,			null,				0,			null,				"YIELD_GOLD",	8,				0,			0,				1,				1,				0,				"PROMOTION_CLASS_SUPPORT",		"An army group whose purpose is to quickly move then be deployed to the battlefield."),
		('UNIT_POSTMODERN_ARMY',  		'Post-Modern Army',	2,				7,			0,		0,				0,		0,			"DOMAIN_LAND",	"FORMATION_CLASS_SUPPORT",		1,		null,			0,			0,				0,					1,					0,				null,		1,				0,					null,			null,			null,			null,				0,			null,				"YIELD_GOLD",	10,				0,			0,				1,				1,				0,				"PROMOTION_CLASS_SUPPORT",		"An army group whose purpose is to quickly move then be deployed to the battlefield."),
		('UNIT_CLASSICAL_FLEET',  		'Classical Fleet',	2,				5,			0,		0,				0,		0,			"DOMAIN_SEA",	"FORMATION_CLASS_SUPPORT",		1,		null,			0,			0,				0,					1,					0,				null,		1,				0,					null,			null,			null,			null,				0,			null,				"YIELD_GOLD",	2,				0,			0,				1,				1,				0,				"PROMOTION_CLASS_SUPPORT",		"A navy group whose purpose is to quickly move then be deployed to the battlefield."),
		('UNIT_RENAISSANCE_FLEET',  	'Renaissance Fleet',	2,			7,			0,		0,				0,		0,			"DOMAIN_SEA",	"FORMATION_CLASS_SUPPORT",		1,		null,			0,			0,				0,					1,					0,				null,		1,				0,					null,			null,			null,			null,				0,			null,				"YIELD_GOLD",	2,				0,			0,				1,				1,				0,				"PROMOTION_CLASS_SUPPORT",		"A navy group whose purpose is to quickly move then be deployed to the battlefield."),
		('UNIT_INDUSTRIAL_FLEET',  		'Industrial Fleet',	2,				9,			0,		0,				0,		0,			"DOMAIN_SEA",	"FORMATION_CLASS_SUPPORT",		1,		null,			0,			0,				0,					1,					0,				null,		1,				0,					null,			null,			null,			null,				0,			null,				"YIELD_GOLD",	2,				0,			0,				1,				1,				0,				"PROMOTION_CLASS_SUPPORT",		"A navy group whose purpose is to quickly move then be deployed to the battlefield."),
		('UNIT_POSTMODERN_FLEET',  		'Post-Modern Fleet',	2,			11,			0,		0,				0,		0,			"DOMAIN_SEA",	"FORMATION_CLASS_SUPPORT",		1,		null,			0,			0,				0,					1,					0,				null,		1,				0,					null,			null,			null,			null,				0,			null,				"YIELD_GOLD",	2,				0,			0,				1,				1,				0,				"PROMOTION_CLASS_SUPPORT",		"A navy group whose purpose is to quickly move then be deployed to the battlefield.");



INSERT INTO Types
		(Type, 											Kind)
VALUES
		('UNITOPERATION_COMBINE_ARMIES',  				'KIND_UNITOPERATION'),
		('UNITOPERATION_DEPLOY_ARMIES',  				'KIND_UNITOPERATION'),
		('UNITOPERATION_JOIN_ARMIES',  					'KIND_UNITOPERATION'),
		('UNITOPERATION_COMBINE_FLEET',  				'KIND_UNITOPERATION'),
		('UNITOPERATION_DEPLOY_FLEET',  				'KIND_UNITOPERATION'),
		('UNITOPERATION_JOIN_FLEET',  					'KIND_UNITOPERATION');

INSERT INTO UnitOperations
		(OperationType, 						VisibleInUI,		HoldCycling,	CategoryInUI,	Icon,											Description)
VALUES
		('UNITOPERATION_COMBINE_ARMIES',  		1,					1,				"SPECIFIC",		"ICON_UNITOPERATION_LAUNCH_INQUISITION",		"March/Create an Army Group"),
		('UNITOPERATION_DEPLOY_ARMIES',  		1,					1,				"SPECIFIC",		"ICON_UNITOPERATION_GENERAL_ACTION",			"Deploy Army Group"),
		('UNITOPERATION_JOIN_ARMIES',  			1,					1,				"SPECIFIC",		"ICON_UNITOPERATION_EVANGELIZE_BELIEF",			"Join an Army Group"),
		('UNITOPERATION_COMBINE_FLEET',  		1,					1,				"SPECIFIC",		"ICON_UNITOPERATION_LAUNCH_INQUISITION",		"March/Create a Fleet Group"),
		('UNITOPERATION_DEPLOY_FLEET',  		1,					1,				"SPECIFIC",		"ICON_UNITOPERATION_GENERAL_ACTION",			"Deploy Fleet Group"),
		('UNITOPERATION_JOIN_FLEET',  			1,					1,				"SPECIFIC",		"ICON_UNITOPERATION_EVANGELIZE_BELIEF",			"Join a Fleet Group");



		

		
